Plank.check_version – plank Reference Manual

# check_version

## Description:

public unowned string? check_version (uint required_major, uint required_minor, uint required_micro)

Checks that the plank library in use is compatible with the given version.

This function is in the library, so it represents the plank library your code is are running against.

## Parameters:

required_major | the required major version
required_minor | the required minor version
required_micro | the required micro version

## Returns:

null if the plank library is compatible with the given version, or a string describing the version mismatch.

Namespace: Plank
Package: plank